$schema: "http://json-schema.org/draft-06/schema#"

title: compute beta HttpRetryPolicy export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  numRetries:
    description: |-
      Specifies the allowed number retries. This number must be > 0. If not
      specified, defaults to 1.
    type: integer
  perTryTimeout:
    description: |-
      Specifies a non-zero timeout per retry attempt. If not specified, will use
      the timeout set in the HttpRouteAction field. If timeout in the
      HttpRouteAction field is not set, this field uses the largest timeout
      among all backend services associated with the route. Not supported when
      the URL map is bound to a target gRPC proxy that has the
      validateForProxyless field set to true.
    $ref: Duration.yaml
  retryConditions:
    description: |-
      Specifies one or more conditions when this retry policy applies. Valid
      values are: - 5xx: retry is attempted if the instance or endpoint responds
      with any 5xx response code, or if the instance or endpoint does not
      respond at all. For example, disconnects, reset, read timeout, connection
      failure, and refused streams. - gateway-error: Similar to 5xx, but only
      applies to response codes 502, 503 or 504. - connect-failure: a retry is
      attempted on failures connecting to the instance or endpoint. For example,
      connection timeouts. - retriable-4xx: a retry is attempted if the instance
      or endpoint responds with a 4xx response code. The only error that you can
      retry is error code 409. - refused-stream: a retry is attempted if the
      instance or endpoint resets the stream with a REFUSED_STREAM error code.
      This reset type indicates that it is safe to retry. - cancelled: a retry
      is attempted if the gRPC status code in the response header is set to
      cancelled. - deadline-
    type: array
    items:
      type: string
